%bcond_without python2
%bcond_without python3

Name:           pyYAML
Version:        6.0.1
Release:        1
Summary:        YAML parser and emitter for Python
License:        MIT
URL:            https://github.com/yaml/pyyaml
Source0:        https://files.pythonhosted.org/packages/source/P/PyYAML/PyYAML-%{version}.tar.gz

BuildRequires:  gcc libyaml-devel


%if %{with python3}
BuildRequires:  python3-devel python3-setuptools python3-Cython
%endif

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and emitter for
Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle support,
capable extension API, and sensible error messages. PyYAML supports standard
YAML tags and provides Python-specific tags that allow to represent an
arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex configuration
files to object serialization and persistence.


%if %{with python3}
%package -n python3-pyyaml
Summary:        %summary
Provides:       python3-yaml = %{version}-%{release}
Provides:       python3-yaml%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-pyyaml}
Provides:       python3-PyYAML = %{version}-%{release}
Provides:       python3-PyYAML%{?_isa} = %{version}-%{release}
Obsoletes:      python3-PyYAML < 4.1-5

%description -n python3-pyyaml
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and emitter for
Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle support,
capable extension API, and sensible error messages. PyYAML supports standard
YAML tags and provides Python-specific tags that allow to represent an
arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex configuration
files to object serialization and persistence.
%endif

%prep
%setup -q -n PyYAML-%{version}

%build
%if %{with python3}
%py3_build
%endif

%install
%if %{with python3}
%py3_install
%endif

%check
%if %{with python3}
%{__python3} setup.py test
%endif


%if %{with python3}
%files -n python3-pyyaml
%license LICENSE
%doc CHANGES examples
%{python3_sitearch}/*
%endif

%changelog
* Wed Jul 26 2023 sunhui <sunhui@kylinos.cn> - 6.0.1-1
- Update package to version 6.0.1

* Wed Oct 26 2022 zhuofeng <zhuofeng2@huawei.com> - 6.0-2
- rebuild for next release

* Fri Dec 24 2021 tianwei <tianwei12@huawei.com> - 6.0-1
- Upgrade to 6.0

* Tue Jul 13 2021 huangtianhua <huangtianhua@huawei.com> - 5.4.1-1
- Upgrade to 5.4.1

* Fri Jun 11 2021 zhaomengchao <zhaomengchao3@huawei.com> - 5.3.1-4
* Fix CVE-2020-14343

* Thu Oct 29 2020 tianwei <tianwei12@huawei.com> - 5.3.1-3
* delete python2

* Fri Sep 11 2020 liuweibo <liuweibo10@huawei.com> - 5.3.1-2
* Fix Source0

* Fri Apr 24 2020 Bruce <gyl93216@163.com> - 5.3.1-1
* update upstream to 5.3.1

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.1.2-1
- Package init
